API ReferenceapilivePATCH /v1/admin/sessions/{id}

PATCH /v1/admin/sessions/\{id\}

Service: live · operationId: (none)

Update/reschedule a live session (admin)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string"
    },
    "community_slug": {
      "type": [
        "string",
        "null"
      ],
      "minLength": 1
    },
    "scheduled_at": {
      "type": "string",
      "format": "date-time"
    },
    "max_participants": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "duration_minutes": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "co_host_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "cover_image_url": {
      "type": [
        "string",
        "null"
      ],
      "format": "uri"
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "kind": {
      "type": "string",
      "enum": [
        "live",
        "office_hours"
      ]
    },
    "category": {
      "type": "string"
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "status": {
      "type": "string",
      "enum": [
        "scheduled",
        "cancelled"
      ]
    }
  }
}

Responses

200 Session updated

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "host_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "kind": {
      "type": "string",
      "enum": [
        "live",
        "office_hours"
      ]
    },
    "category": {
      "type": [
        "string",
        "null"
      ]
    },
    "scheduled_at": {
      "type": "string",
      "format": "date-time"
    },
    "started_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "ended_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "status": {
      "type": "string",
      "enum": [
        "scheduled",
        "live",
        "ended",
        "cancelled"
      ]
    },
    "stream_call_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "max_participants": {
      "type": "integer"
    },
    "duration_minutes": {
      "type": [
        "integer",
        "null"
      ]
    },
    "co_host_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "cover_image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "recording_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "registered_count": {
      "type": "integer"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "host_id",
    "brand_id",
    "title",
    "description",
    "kind",
    "category",
    "scheduled_at",
    "started_at",
    "ended_at",
    "status",
    "stream_call_id",
    "max_participants",
    "duration_minutes",
    "co_host_ids",
    "cover_image_url",
    "tags",
    "recording_url",
    "metadata",
    "registered_count",
    "created_at",
    "updated_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Cannot update session in current status

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://live.platform.loop.health/v1/admin/sessions/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'